Skip to main content
GET
/
api
/
v1
/
workspaces
List Workspaces
curl --request GET \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/workspaces \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "01kqh44bsca3hmawg8xnmbvtcs",
      "name": "My Workspace",
      "description": "Example description.",
      "created_at": "2026-05-01T06:38:01+00:00",
      "updated_at": "2026-05-01T06:38:01+00:00"
    },
    {
      "id": "01kqh44bsyg5v6dgbrk57mct9g",
      "name": "My Workspace",
      "description": "Example description.",
      "created_at": "2026-05-01T06:38:01+00:00",
      "updated_at": "2026-05-01T06:38:01+00:00"
    }
  ],
  "meta": {
    "per_page": 20,
    "next_cursor": null,
    "prev_cursor": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

per_page
integer

The number of items per page. Must be at least 1. Must not be greater than 100.

Example:

25

cursor
string

The cursor for pagination. Use the meta.next_cursor or meta.previous_cursor from the response.

Example:

"example"

Response

200 - application/json
data
object[]
Example:
[
  {
    "id": "01kqh44bsca3hmawg8xnmbvtcs",
    "name": "My Workspace",
    "description": "Example description.",
    "created_at": "2026-05-01T06:38:01+00:00",
    "updated_at": "2026-05-01T06:38:01+00:00"
  },
  {
    "id": "01kqh44bsyg5v6dgbrk57mct9g",
    "name": "My Workspace",
    "description": "Example description.",
    "created_at": "2026-05-01T06:38:01+00:00",
    "updated_at": "2026-05-01T06:38:01+00:00"
  }
]
meta
object